Name:           vorbisspi
Version:        1.0.3
Release:        9%{?dist}
Summary:        Java Service Provider Interface for the OGG Vorbis audio format

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.javazoom.net/vorbisspi/vorbisspi.html
Source0:        http://www.javazoom.net/%{name}/sources/%{name}%{version}.tar.gz
# Sample class implementation removed from tritonus_share.jar currently shipped by fedora,
# but necessary to build this package
Source1:        http://tritonus.cvs.sourceforge.net/viewvc/tritonus/tritonus/src/org/tritonus/share/sampled/convert/TMatrixFormatConversionProvider.java
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant
BuildRequires:  tritonus
BuildRequires:  jorbis

Requires:       jpackage-utils
Requires:       java >= 1:1.6.0
Requires:       tritonus
Requires:       jorbis 

%description
VorbisSPI is a Java Service Provider Interface that adds OGG Vorbis audio
format support to Java platform. It supports Icecast streaming. It is 
based on JOrbis Java libraries.

OGG Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz,
16+ bit, polyphonic) audio and music at fixed and variable bit rates from
16 to 128 Kbps/channel. This places Vorbis in the same class as audio 
representations including MPEG-1 audio layer 3, MPEG-4 audio
(AAC and TwinVQ), and PAC.

%package javadoc
Summary:        Java docs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n VorbisSPI%{version}
# Make sure to remove all prebuilt classes and jars
find . \( -name '*.class' -o -name '*.jar' \) -exec rm -rf '{}' \;
# Remove the docs dir if it is already there
[ -d docs ] && rm -rf docs
# Fix end of line encoding
sed -i 's|\r||g' *.txt

# Put the sample class where it should be
cp -p %{SOURCE1} src/javazoom/spi/vorbis/sampled/convert

%build
%ant all -Dtritonusjar=$(build-classpath tritonus/tritonus_share) \
         -Djorbisjar=$(build-classpath jorbis) \
         -Doggjar=$(build-classpath jogg)

%install
install -Dpm 644 %{name}%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files
%doc LICENSE.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Hans de Goede <hdegoede@redhat.com> - 1.0.3-5
- Fix FTBFS (rhbz#716071)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 1.0.3-2
- Spec cleanup per https://bugzilla.redhat.com/show_bug.cgi?id=664615#c2

* Mon Dec 20 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 1.0.3-1
- Initial package for Fedora
